
<ui:composition template="../template/template.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:ui="http://java.sun.com/jsf/facelets">

    <ui:define name="title">
        .:Transparencia - Bandeja Responsable Órgano:.
    </ui:define>

    <ui:define name="headCont">
		<style>
			.box-table-class .ui-datatable-scrollable-body thead th{
				opacity:0;
				padding: 0;
			}
			
			.obs-pe {
				background: #d6effe;
				color: #68544F;   
			}
			
			.obs-pe-vencida {
				background: #d6effe;
				color: red;
			}
			
			.obs-pe-por-vencer {
				background: #d6effe;
				color: green;
			}
			
			.sin-obs-pe-vencida {
				color: red;
			}
			
			.sin-obs-pe-por-vencer {
				color: green;
			}
			
			
			.ui-state-disabled{
				opacity:1;
			}
			
			.ui-fieldset-general {
	
			}
			
			.without-selectall .ui-selectcheckboxmenu-header .ui-chkbox {
				display: none;
			}
		
		</style>
    </ui:define>
        
    <ui:define name="titlePages">
        <span>BANDEJA RESPONSABLE ÓRGANO</span>
    </ui:define>
    <ui:define name="urlNavegacion">
      <li class="active">Bandeja SAIP</li>
      <li >Band. Responsable Órgano</li>
    </ui:define>
    <!-- administrador por SERVIR -->
    <ui:define name="content">
        #{bandejaResponsableUOMB.validarSesion()}
        #{bandejaResponsableUOMB.cargarListaConsultas()}
        #{bandejaResponsableUOMB.cargarplantillas()}
        #{bandejaResponsableUOMB.llenarCombos()}
	    <div class="row">
	    
	    	<h:form id="frmBandejaSolicitud">
                
                <p:growl id="mensaje" showDetail="true" sticky="false" life="5000" />
                <div class="col-md-12 sin-bg-box">
                
                	<p:fieldset styleClass="ui-fieldset-general">
                    	
                	<div class="row box-mb"> 
                            <div class="col-sm-12">
                                <label class="control-label"><b>Buscar Solicitudes:</b></label>
                            </div>                       
                    </div>
                    
                	<p:fieldset>
                	<!-- 
                		<div class="row box-mb"> 
			            	<div class="col-sm-3" >
			                	<div class="form-group">
			                    	<h:outputLabel for="cmbBusquedaPor" value="Tipo Registro: " styleClass="control-label"/>                                        
			                    	<p:selectOneMenu id="cmbBusquedaPor" styleClass="form-control style-select"
			                    					 value="#{bandejaResponsableUOMB.sysSelected}"
			                    					 onchange="PF('statusDialog').show()">
				                        <f:selectItem itemValue="0" itemLabel=" Seleccione "/>
										<f:selectItem itemValue="1" itemLabel="Registros Manuales"/>
										<f:selectItem itemValue="2" itemLabel="Registros Virtuales"/>
										
										<p:ajax event="change"	listener="#{bandejaResponsableUOMB.cargarListaConsultas}"
												update="frmBandejaSolicitud"
												oncomplete="PF('statusDialog').hide()"/>
			                        </p:selectOneMenu>
			                     </div>
			               </div>                      
                        </div>
                     -->
					<!-- A Seleccion 2 : Mostar inpust búsqueda  -->
					<h:panelGroup >
					<!-- rendered="#{bandejaResponsableUOMB.sysSelected == '2'}" -->
                        <div class="row box-mb">
                        	<div class="col-sm-3">
	                        	<div class="form-group">
				                    	<h:outputLabel for="txtNumDocumento" value="N&#186; Documento: " styleClass="control-label"/>                                        
	                                    <p:inputText  id="txtNumDocumento"
	                                    			value="#{bandejaResponsableUOMB.reporteBandeja.numero_documento_identidad}"
	                                                maxlength="8"
	                                                mask="99999999"
	                                                style="text-transform:uppercase"
	                                                onkeypress="return onlyNumber(event)" 
	                                                required="false" styleClass="form-control"
	                                                tabindex="1"/>
				            	</div>
	                    	</div>
	                        <div class="col-sm-3">
								<div class="form-group">
									<h:outputLabel for="cboAnio" value="Año Solicitud: "
										styleClass="control-label" />
									<p:selectOneMenu id="cboAnio"
										value="#{bandejaResponsableUOMB.reporteBandeja.anio_solicitud}"
										styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione ---" />
										<f:selectItem itemValue="2018" itemLabel="2018" />
										<f:selectItem itemValue="2017" itemLabel="2017" />
										<f:selectItem itemValue="2016" itemLabel="2016" />
									</p:selectOneMenu>
								</div>
							</div>
							<div class="col-sm-4">
								<div class="form-group">
									<h:outputLabel for="cboEstSol" value="Estado: "
											styleClass="control-label" />
									<p:selectOneMenu id="cboEstSol"
											value="#{bandejaResponsableUOMB.reporteBandeja.estado_solicitud_id}"
											styleClass="form-control style-select">
											<f:selectItem itemValue="0" itemLabel="--- Seleccione ---" />
											<f:selectItem itemValue="6" itemLabel="6: Asignado a Usuario Responsable UO" />
											<f:selectItem itemValue="14" itemLabel="14: Devuelto por Secretaria UO PRA" />
									</p:selectOneMenu>
								</div>
							</div>
                        </div>
                       	<div class="row box-mb">
	                    	<div class="col-sm-3">
	                        	<div class="form-group">
				                    	<h:outputLabel for="txtApPaterno" value="Apellido Paterno: " styleClass="control-label"/>                                        
	                                    <p:inputText  id="txtApPaterno"
	                                    			value="#{bandejaResponsableUOMB.reporteBandeja.apellido_paterno}"
	                                                maxlength="60"
	                                                style="text-transform:uppercase"
	                                                onkeypress="return soloLetras(event)"
	                                                required="false" styleClass="form-control"
	                                                tabindex="1"/>
				                </div>
	                        </div>
	                            <div class="col-sm-3">
	                                <div class="form-group">
				                    	<h:outputLabel for="txtApMaterno" value="Apellido Materno: " styleClass="control-label"/>                                        
	                                    <p:inputText  id="txtApMaterno"
	                                    			value="#{bandejaResponsableUOMB.reporteBandeja.apellido_materno}"
	                                                maxlength="60"
	                                                style="text-transform:uppercase"
	                                                onkeypress="return soloLetras(event)"
	                                                required="false" styleClass="form-control"
	                                                tabindex="1"/>
				                     </div>
	                            </div>
	                            <div class="col-sm-4">
	                                <div class="form-group">
				                    	<h:outputLabel for="txtNombres" value="Nombres: " styleClass="control-label"/>                                        
	                                    <p:inputText  id="txtNombres"
	                                    			value="#{bandejaResponsableUOMB.reporteBandeja.nombres}"
	                                                maxlength="70"
	                                                style="text-transform:uppercase"
	                                                onkeypress="return soloLetras(event)"
	                                                required="false" styleClass="form-control"
	                                                tabindex="1"/>
				                     </div>
	                            </div>      
	                    </div>
                        <br/>
                        <div class="row box-mb"> 
                        	<div class="col-sm-12 box-btn-tab text-right box-main-btn xx_box-btn">
			               			
			               			<p:commandButton 	id="idBuscar"
                                    					value="Buscar" 
                                    					icon="icon-search ocultarImgIcon"
                                                        styleClass="btn btn-default btn-sensitive btn-buscar"
                                                        onclick="PF('statusDialog').show()"
                                                        oncomplete="PF('statusDialog').hide()" 
                                    					actionListener="#{bandejaResponsableUOMB.buscarConsulta2}"
                                    					update="frmBandejaSolicitud"
                                    					ajax="true"
                                    					/>
                                    					
                                   <p:commandButton	id="idLimpiar"
                                                	styleClass="btn btn-default btn-sensitive btn-buscar"   
					                                value="Limpiar"
					                                actionListener="#{bandejaResponsableUOMB.limpiarBusqueda2}"
					                                icon="icon-limpiar"		                                                
                                               		update="frmBandejaSolicitud"
                                               		ajax="true"
                                               		/> 
			               </div>
                        </div>
                     </h:panelGroup>
                     <!-- Fin A Seleccion 2 : Mostar inpust búsqueda  -->
                        
                    </p:fieldset> 
<!-- *************************************************************************************************************************** -->
                    <div class="row box-mb" style="margin-top:15px;"> 
                            <div class="col-sm-12">
                                <label class="control-label"><b>Solicitudes Encontradas:</b></label>
                            </div>                       
                    </div> 
                                        
                         <div class="row box-mb">
                            <div class="col-sm-12 box-table-class">
                              <div class="form-group">
<!--******************************* Tabla con registros del combo seleccion: REGISTROS VIRTUALES ****************************************************-->
                                    <p:dataTable  id="tblConsultas2" 
                                                var="registro" 
                                                value="#{bandejaResponsableUOMB.lstReporteBandeja}" 
                                                rowKey="#{registro.id}" 
                                                paginator="true"
                                                scrollable="true"
                                                rowIndexVar="item"
                                                paginatorPosition="top"
                                                rows="10"
                                                style="text-align:center;"
                                                
                                                emptyMessage="No existen registros">
                                                <!-- rendered="#{bandejaResponsableUOMB.sysSelected == '2'}" -->
                                                <!-- 
												<p:ajax event="rowSelect" listener="#{bandejaResponsableUOMB.seleccionarRegistro}" update=":frmBandejaSolicitud" />
									 				-->
												<p:column headerText="Correlativo" style="width:30px;text-aling:center;"
													sortBy="#{registro.correlativo_solicitud}">
                                                    <h:outputText value="#{registro.correlativo_solicitud}" />
                                                </p:column>

                                                <p:column headerText="Año" style="width:20px;"
													sortBy="#{registro.anio_solicitud}">
                                                    <h:outputText value="#{registro.anio_solicitud}" />
                                                </p:column>
                                                
                                                <p:column headerText="N&#186; Documento" style="width:35px;"
													sortBy="#{registro.numero_documento_identidad}">
                                                    <h:outputText value="#{registro.numero_documento_identidad}" />
                                                </p:column>
                                                
                                                <p:column headerText="Ap. Parteno" style="width:40px;"
													sortBy="#{registro.apellido_paterno}">
                                                    <h:outputText value="#{registro.apellido_paterno}" />
                                                </p:column>
                                                
                                                <p:column headerText="Ap. Marteno" style="width:40px;"
													sortBy="#{registro.apellido_materno}">
                                                    <h:outputText value="#{registro.apellido_materno}" />
                                                </p:column>
                                                
                                                <p:column headerText="Nombres" style="width:35px;"
													sortBy="#{registro.nombres}">
                                                    <h:outputText value="#{registro.nombres}" />
                                                </p:column>
                                                
                                                <p:column headerText="Detalle" style="width:70px;"
													sortBy="#{registro.detalle_solicitud}">
                                                    <h:outputText value="#{registro.detalle_solicitud}" />
                                                </p:column>
                                                
                                                <p:column headerText="Usuario Responsable" style="width:60px;"
													sortBy="#{registro.dependencia_nformacion_det}">
                                                    <h:outputText value="#{registro.usuario_nombre_responsable}" />
                                                </p:column>
                                                
                                                <p:column headerText="Autoriza Recojo" style="width:35px;"
													sortBy="#{registro.flag_autoriza_recojo}">
                                                    <h:outputText value="#{registro.flag_autoriza_recojo}" />
                                                </p:column>
                                                
                                                <p:column headerText="Und Org" style="width:40px;"
													sortBy="#{registro.estado_solicitud_detall}">
                                                    <h:outputText value="#{registro.t01_und_org_receptor_id}" />
                                                </p:column>
                                                
                                                <p:column headerText="Estado Solicitud" style="width:40px;"
													sortBy="#{registro.estado_solicitud_detall}">
                                                    <h:outputText value="#{registro.estado_solicitud_detall}" />
                                                </p:column>
                                                
                                                <p:column headerText="Situación Solicitud" style="width:40px;"
													sortBy="#{registro.situacion_solicitud_detall}">
                                                    <h:outputText value="#{registro.situacion_solicitud_detall}" />
                                                </p:column>
                                                
                                                <p:column headerText="Acción" style="width:30px;text-align:center;">
                                                <!-- 
													<p:commandButton    title="Ver Detalle"
																		action="#{bandejaResponsableUOMB.verDetallexrpt(registro)}"
																		ajax="false" icon="ui-icon ui-icon-folder-open"
																		styleClass="colorSuccess" />
                                                     -->
                                                    <p:commandButton    action="#{bandejaResponsableUOMB.seleccionarRegistro(registro)}"
                                                    					rendered="#{bandejaResponsableUOMB.mostrarBtnXSituSoli(registro)}"
                                                                        onclick="PF('statusDialog').show()"
																		oncomplete="PF('statusDialog').hide()"
                                                                        title="Seleccionar registro"
                                                                        ajax="true"
                                                                        icon="ui-icon ui-icon-circle-plus"
                                                                        styleClass="colorSuccess"
                                                                        update=":frmBandejaSolicitud"/>
                                                                                                                                                                                       
                                                </p:column>

                                    </p:dataTable>
                              </div>   
                            </div>
                         </div> 
<!-- *************************************************************************************************************************** -->
                     <p:accordionPanel id="acordeon" style="margin-top:15px;padding-left:0px;padding-right:0px;" 
                     	activeIndex="#{bandejaResponsableUOMB.mngAcordeon}">
                     	<!--  -->
                     	<p:tab title="Registro de Solicitud #{bandejaResponsableUOMB.nroSolicitudSelect}">
		                     <p:panel id="pnlRegSel" style="margin-top:-10px;margin-left:-30px;margin-right:-30px;border:none;"
								rendered="#{bandejaResponsableUOMB.vistaRegistroSelecc}" >
								<!-- 
		                        <div class="row box-mb"> 
		                            <div class="col-sm-12">
		                                <label class="control-label"><b>Registro de solicitudes:</b></label>
		                            </div>                       
		                        </div>   
		                         -->
		                        <p:fieldset>  
		                      	<!-- 
		                      	<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> I. FUNCIONARIO RESPONSABLE DE ENTREGAR LA INFORMACIÓN: </b></label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="pnfuncionarioRespeponsable"
											 style="width: 100%;							 
											 border: 0px solid #EDEDED;
											 background: rgba(237, 237, 237, .9);">
											 <div class="row box-mb">
												<div class="col-sm-10">
													<div class="form-group">
														<h:outputLabel for="txtfuncionario"
																value="Funcionario Responsable de Entregar la Información: "
																styleClass="control-label" />
														<p:inputText
																disabled="true"
																value="#{bandejaResponsableUOMB.tmpFormularioBndRep.funcionario_resp_entrginfo}"
																id="txtfuncionario" style="text-transform:uppercase;"
																required="false" styleClass="form-control" tabindex="1" />
														
													</div>
												</div>
											</div>
										</p:panel>
									</p:fieldset>
								</div>
								 -->
		                		<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> II. DATOS DEL SOLICITANTE: </b></label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="tipoDocumentoPanel"
											 style="width: 100%;							 
											 border: 0px solid #EDEDED;">
											 <div class="row box-mb">
												<div class="col-sm-4" >
								                	<div class="form-group">			                					                		
								                    	<h:outputLabel 	for="tipoDocumento" 
								                    					value="Tipo de Documento : " 
								                    					styleClass="control-label"/>                              
								                    	<p:selectOneMenu id="tipoDocumento"
								                    					 disabled="true"
								                    					 value="#{bandejaResponsableUOMB.tmpFormularioBndRep.tipo_documento_identidad_id}" 
								                    					 styleClass="form-control style-select" >
								                    		<f:selectItem  itemValue="0" itemLabel="--- Seleccione --- " />
									                        <f:selectItems value="#{bandejaResponsableUOMB.lstT01TipoDocumento}" 
									                        				var="item" 
									                        				itemValue="#{item.codigoRegistro}"  
									                        				itemLabel="#{item.nombreCorto}" />
								                        </p:selectOneMenu>
								                     </div>
								                </div>
								                
								                <div class="col-sm-4" >
								                	<div class="form-group">			                		
								                    	<h:outputLabel  value="Número de Documento : " 
								                    				    styleClass="control-label"/>
					                                    <p:inputText  value="#{bandejaResponsableUOMB.tmpFormularioBndRep.numero_documento_identidad}"
					                                    			  disabled="true"
					                                    			  id="numeroDocumentoDNI" 
					                                                  style="text-transform:uppercase;"                                               
					                                                  required="false" 
					                                                  styleClass="form-control"
					                                                  tabindex="1">
														</p:inputText>
								                     </div>
								               </div>
											</div>
											<div class="row box-mb">
												<div class="col-sm-4" >
									                <div class="form-group">
									                    	<h:outputLabel 	for="nombres" 
									                    					value="Nombres : " 
									                    					styleClass="control-label"></h:outputLabel>
									                    	<p:inputText  value="#{bandejaResponsableUOMB.tmpFormularioBndRep.nombres}" 
									                    				  disabled="true"
									                    				  id="nombres" 
									                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
						                                                  maxlength="30"                                                  
						                                                  required="false" 
						                                                  styleClass="form-control"
						                                                  tabindex="1"/>
									                </div>
									             </div>			               
									             <div class="col-sm-4" >
									                	<div class="form-group">
									                    	<h:outputLabel for="txtapellidopaterno" 
									                    				   value="Apellido Paterno : " 
									                    				   styleClass="control-label"/>
									                    	<p:inputText  value="#{bandejaResponsableUOMB.tmpFormularioBndRep.apellido_paterno}"
									                    				  disabled="true"
									                    				  id="txtapellidopaterno" 
									                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
						                                                  maxlength="50"                                                  
						                                                  required="false" styleClass="form-control"
						                                                  tabindex="1"/>
									                     </div>
									             </div>			               
										         <div class="col-sm-4" >
										                	<div class="form-group">
										                    	<h:outputLabel for="txtapellidomaterno" 
										                    				   value="Apellido Materno : " 
										                    				   styleClass="control-label"/>
										                    	<p:inputText  value="#{bandejaResponsableUOMB.tmpFormularioBndRep.apellido_materno}"
										                    				  disabled="true"
										                    				  id="txtapellidomaterno" 
										                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
							                                                  maxlength="50"                                                  
							                                                  required="false" 
							                                                  styleClass="form-control"
							                                                  tabindex="1"/>
										                     </div>
										           </div>
											</div>
											
											<div class="row box-mb">	 				
												<div class="col-sm-12">									
														<h:outputLabel 	for="txtdireccion" 
																		value="Domicilio Legal ( Av / Jirón / Nro / Dpto / Mz / Lote / Urb ) : "
																		styleClass="control-label">
														</h:outputLabel>
														<p:inputText
																	value="#{bandejaResponsableUOMB.tmpFormularioBndRep.direccion_domicilio}"
																	disabled="true"
																	id="txtdireccion"											
																	maxlength="60" 
																	required="false" 
																	style="text-transform: uppercase;"
																	styleClass="form-control"
																	tabindex="1" />									
												</div>									
											</div>
											
											<div class="row box-mb">	 				
												<div class="col-sm-4">
													<h:outputLabel for="cmbDepartamento" 
																		value="Departamento : "
																		styleClass="control-label" />
													<p:selectOneMenu 
																	disabled="true"
																	id="cmbDepartamento"
																	value="#{bandejaResponsableUOMB.tmpFormularioBndRep.coddep}"
																	styleClass="form-control style-select">
														<f:selectItem itemValue="0"  itemLabel="--- Seleccione --- " />
														<f:selectItems
																	value="#{bandejaResponsableUOMB.lstDepartamento}"
																	var="tabla" 
																	itemValue="#{tabla.coddep}"
																	itemLabel="#{tabla.descripcion}" />
													<p:ajax event="change" 
							                        		listener="#{bandejaResponsableUOMB.updateProvincia}"				                        		
							                        		update="cmbProvincia,
							                        				cmbDistrito"/>							 
													</p:selectOneMenu>
												</div>
												
												<div class="col-sm-4">
													<h:outputLabel  for="cmbProvincia"
																	value="Provincia: "
																	styleClass="control-label" />
													<p:selectOneMenu 
																	disabled="true"
																	id="cmbProvincia"
																	value="#{bandejaResponsableUOMB.tmpFormularioBndRep.codpro}"
																	styleClass="form-control style-select">
													<f:selectItem  itemValue="0" itemLabel="--- Seleccione ---"/>
													<f:selectItems
																	value="#{bandejaResponsableUOMB.lstProvincia}"
																	var="tabla" 
																	itemValue="#{tabla.codpro}"
																	itemLabel="#{tabla.descripcion}" />	
													<p:ajax event="change" 
							                        		listener="#{solicitudExternoMB.updateDistrito}"				                        		
							                        		update=  "cmbDistrito"/>
													</p:selectOneMenu>										
												</div>
												<div class="col-sm-4">
													<h:outputLabel for="cmbDistrito" 
																		value="Distrito: "
																		styleClass="control-label" />
													<p:selectOneMenu 
																	disabled="true"
																	id="cmbDistrito"
																	value="#{bandejaResponsableUOMB.tmpFormularioBndRep.coddis}"
																	styleClass="form-control style-select">
													<f:selectItem  itemValue="0" itemLabel="--- Seleccione ---"/>
													<f:selectItems
																	value="#{bandejaResponsableUOMB.lstDistrito}"
																	var="tabla" 
																	itemValue="#{tabla.coddis}"
																	itemLabel="#{tabla.descripcion}" />													 
													</p:selectOneMenu>
												</div>
											</div>
											
											<div class="row box-mb">	 				
												<div class="col-sm-4">
													<div class="form-group">
														<h:outputLabel 	for="txtTelefono" 
																		value="Telefono : "
																		styleClass="control-label"></h:outputLabel>
														<p:inputText
																	disabled="true"
																	value="#{bandejaResponsableUOMB.tmpFormularioBndRep.telefono}"
																	id="txtTelefono"											
																	onkeypress="return onlyNumber(event)"
					                                                maxlength="9"	                                                                                                       
					                                                required="false" 
					                                                styleClass="form-control"
					                                                tabindex="1"/>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<h:outputLabel 	for="txtcelular" 
																		value="Celular : "
																		styleClass="control-label"></h:outputLabel>
														<p:inputText
																	 disabled="true"
																	 value="#{bandejaResponsableUOMB.tmpFormularioBndRep.celular}"
																	 id="txtcelular"													
																	 onkeypress="return onlyNumber(event)"
				                                                  	 maxlength="9"	                                                                                                       
				                                                     required="false" 
				                                                     styleClass="form-control"
				                                                     tabindex="1"/>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<h:outputLabel 	for="txtCorreo" 
																		value="Correo electrónico : "
																		styleClass="control-label"></h:outputLabel>
														<p:inputText
																	disabled="true"
																	value="#{bandejaResponsableUOMB.tmpFormularioBndRep.correo_electronico}"
																	id="txtCorreo"
																	style="text-transform: lowercase;"								
																	maxlength="30" 
																	required="false" 
																	styleClass="form-control"
																	tabindex="1" />
													</div>
												</div>
											</div>
										</p:panel>
									</p:fieldset>
								</div>
		                		
		                		<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> III. INFORMACIÓN SOLICITADA:  </b> (Precise concretamente el pedido de la información)</label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="pninformacionsolicitada"
											 style="width: 100%;							 
											 border: 0px solid #EDEDED;
											 background: rgba(237, 237, 237, .9);">
											 <div class="row box-mb"> 				
												 <div class="col-sm-12">										
														<h:outputLabel for="txtdetalle"
																		value="Detalle : " 
																		styleClass="control-label" />
														<p:inputTextarea id="txtdetalle" 
																		disabled="true"
																		rows="3" 
																		cols="33"
																		styleClass="form-control"
																		autoResize="false" 
																		counter="display"
																		value="#{bandejaResponsableUOMB.tmpFormularioBndRep.detalle_solicitud}"
																		maxlength="5000" 
																		counterTemplate="{0} caracteres restantes."
																		queryDelay="#{solicitudExternoMB.solicitud.detalleSolicitud}" />
														<h:outputText id="display" />									
												 </div>
											</div>
										</p:panel>
									</p:fieldset>
								</div>
								
								<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> IV. DEPENDENCIA DE LA CUAL REQUIERE LA INFORMACIÓN: </b>(Deseable)</label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="pndependenciainformacion"
											 style="width: 100%;							 
											 border: 0px solid #EDEDED;
											 background: rgba(237, 237, 237, .9);">
											 <div class="row box-mb">
												<div class="col-sm-10">
													<h:outputLabel for="cmbDependencia" 
																		value="Dependencia : "
																		styleClass="control-label" />
													<p:selectOneMenu 
																	disabled="true"
																	id="cmbDependencia"
																	value="#{bandejaResponsableUOMB.tmpFormularioBndRep.dependencia_de_informacion}"
																	styleClass="form-control style-select">
															<f:selectItem  itemValue="0" itemLabel="--- Seleccione --- " />
															<f:selectItems
																			value="#{bandejaResponsableUOMB.lstUnidadesOrganicas}"
																			var="tabla"
																			itemValue="#{tabla.codigoRegistro}"
																			itemLabel="#{tabla.nombreLargo}" />
													</p:selectOneMenu>
												</div>
											</div>
										</p:panel>
									</p:fieldset>
								</div>
								
								<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> V. FORMA DE ENTREGA DE LA INFORMACIÓN: </b></label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="pnFormaEntregaPanel"
											 style="width: 100%;							 
											 border: 0px solid #EDEDED;
											 background: rgba(237, 237, 237, .9);">
											 <div class="row box-mb">	 				
												<div class="col-sm-12">	
													 <h:outputLabel	for="txtmediodeentrega"
			        												value="Medios Entrega:"
																	styleClass="control-label" />
													 <p:inputText	id="txtmediodeentrega" 
																	disabled="true"
																	value="#{bandejaResponsableUOMB.tmpFormularioBndRep.forma_de_entrega}"
					                                                required="false" 
					                                                styleClass="form-control"
					                                                tabindex="1"/>
			        															
												</div>
											</div>
										</p:panel>
									</p:fieldset>
								</div>
								
								<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> VI. IDENTIFICACIÓN DE LA PERSONA AUTORIZADA: </b></label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="autorizaPersRecojo"
											 style="width: 100%;							 
											 border: 0px solid #EDEDED;">
											 <div class="row box-mb">
												<div class="col-lm-12" style="margin-left: 20px;line-height: 20px;font-size: 13.2px;margin-bottom:10px;font-weight: 300;margin-bottom: 5px;">
													<h:panelGrid columns="2" cellpadding="5">
														¿Autoriza a otra persona, recoger la documentación solicitada? &#160;&#160;
														<p:selectOneRadio 
																		disabled="true"
																		id="autorizaRecojan" 
																		value="#{bandejaResponsableUOMB.tmpFormularioBndRep.flag_autoriza_recojo}">
												            <f:selectItem itemValue="SI" itemLabel="&#160;SI&#160;" />
												            <f:selectItem itemValue="NO" itemLabel="&#160;NO" />
												           
												            <p:ajax event="change" 
									                        		listener="#{bandejaResponsableUOMB.updateAutoPersonaPanel}"
									                        		update=":frmBandejaSolicitud:acordeon:autorizaPersRecojo"/>
												        </p:selectOneRadio>
											        </h:panelGrid>
												</div>
												<p:panel id="pnDatosPersonaAutorizada"
														 rendered="#{bandejaResponsableUOMB.swAutorizaPersona}"
														 style="width: 100%;									 
														 border: 0px solid #EDEDED;
														 background: rgba(237, 237, 237, .9);">
																				
													<div class="row box-mb">
															<div class="col-sm-3">										
																<h:outputLabel 	for="txtnrodocumentoAutorizado" 
																				value="Nro Documento : "
																				styleClass="control-label" />
																	<p:inputText
																				disabled="true"
																				value="#{bandejaResponsableUOMB.tmpFormularioBndRep.pers_auto_nro_documento}"
																				id="txtnrodocumentoAutorizado"											
																				maxlength="8"
																				required="false" 
																				onkeypress="return onlyNumber(event)"
																				styleClass="form-control"
																				tabindex="1" />										
															</div>
															<div class="col-sm-5">
																<div class="form-group">
																	<h:outputLabel 	for="txtNombresApellidosAutorizado" 
																					value="Nombres y Apellidos : "
																					styleClass="control-label"></h:outputLabel>
																	<p:inputText
																				disabled="true"
																				value="#{bandejaResponsableUOMB.tmpFormularioBndRep.pers_auto_nombre_apellidos}"
																				id="txtNombresApellidosAutorizado"													
																				maxlength="100" 
																				required="false"
																				style="text-transform: uppercase;"
																				styleClass="form-control"
																				tabindex="1" />
																</div>
															</div>
													</div>
												</p:panel>
												
											</div>
										</p:panel>
									</p:fieldset>
								</div>
								
								<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> VII. OBSERVACIONES: </b></label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="pnobservacionsolicitud"
											 style="width: 100%;
											 border: 0px solid #EDEDED;
											 background: rgba(237, 237, 237, .9);">
											 <div class="row box-mb">
												<div class="col-sm-12">										
														<h:outputLabel 	for="txtObservacionsolicitud"
																		value="Detalle : " 
																		styleClass="control-label" />
														<p:inputTextarea id="txtObservacionsolicitud" 
																		disabled="true"
																		rows="3" 
																		cols="33"
																		styleClass="form-control"
																		autoResize="false"
																		style="text-transform: uppercase;" 
																		counter="display1"
																		value="#{bandejaResponsableUOMB.tmpFormularioBndRep.observacion}"
																		maxlength="200"
																		counterTemplate="{0} caracteres restantes."
																		queryDelay="#{solicitudExternoMB.solicitud.observacion}" />
														<h:outputText id="display1" />								
												</div>
											</div>
										</p:panel>
									</p:fieldset>
								</div>
		                		</p:fieldset>
		                	</p:panel>
                		</p:tab>
					</p:accordionPanel>
<!-- ********** BTN CANCELACION ******************************************************************************************** -->
					<p:panel id="pnlVistaDerivacionAreaBtn" style="border:none;">
                		<div class="col-sm-12 text-right box-main-btn">
                				<p:commandButton 	
	                							id="btnbuscarRespuestas" 
												value="Ver Detalle Asignación"
												ajax="true"
												disabled="#{bandejaResponsableUOMB.habilitaValidaInfoOAJ}"
												icon="icon-plus ocultarImgIcon"
												oncomplete="PF('dlgverDetAsigMovimiento').show();"
												styleClass="btn btn-default btn-sm btn-sensitive btn-buscar" />
												
								<p:commandButton 
												id="btnCancelarSeleccionDer"
												disabled="#{bandejaResponsableUOMB.habilitaValidaInfoOAJ}"
												styleClass="btn btn-default btn-sensitive btn-buscar"
												value="Cancelar" 
												icon="icon-limpiar" 
												ajax="true" update=":frmBandejaSolicitud"
												action="#{bandejaResponsableUOMB.cancelarSeleccionUO}"/>
						</div>
					</p:panel>
<!-- *************** MOVIMIENTO DE SOLICITUD **************************************************************************************************
                	<p:panel id="pnlVistaAsignacion" style="border:none;margin-bottom:0px;" >
                		 ************** RESPUETA A PROYECCION *************************************************************************************
						LINEA DE SUSCESOS
						<p:panel id="pnlVistaDetalLeAsignacion1" style="border:none;margin-left:-15pt;margin-right:-15pt;margin-bottom:0px;" 
	                		rendered="#{!bandejaResponsableUOMB.habilitaValidaInfoOAJ}" >
	                		<legend>
								<small>Movimiento(s) de la Solicitud</small>
							</legend>
	                		<p:outputLabel id="lblMovimientos" rendered="#{bandejaResponsableUOMB.lstSoliMoviXLineaTP.size()==0}" value="Actualmente no hay ningun movimiento." />
	                		<ui:repeat value="#{bandejaResponsableUOMB.lstSoliMoviXLineaTP}" var="segMovimientoItem" varStatus="item">
								<legend style="margin-bottom: 0px;">
									<small style="color: #3a3f48; font-size: 14px;margin-bottom: 0px;">
											[ORIGEN]: #{segMovimientoItem.t01UndOrgEmiDeta}>>#{segMovimientoItem.perfilDetaEmisor}
											<i class="fa fa-long-arrow-right" aria-hidden="true"></i> 
											[DESTINO]: #{segMovimientoItem.t01UndOrgRecDeta}>>#{segMovimientoItem.perfilDetaReceptor}
									</small>
								</legend>
								
								<table class="tg table table-expand"
									style="margin-top: 0px; border-color: white; border-collapse: collapse; margin: 0 0 1em 0; caption-side: top;">
									<tbody style="border-bottom: 0px; font-size: 12px; border-top: 1px none #000; border-bottom: 1px solid #ddd;">
										<tr>
												<th class="tg-0ord" width="150px;">Detalle Asignación</th>
												<td colspan="3" class="txt-data">: <h:outputText
														value="#{segMovimientoItem.detalleAsignacion}"
														escape="false" /></td>
										</tr>
									</tbody>
								</table>
							</ui:repeat>
						</p:panel>
					</p:panel> -->
<!--  ************* DERIVACIÓN USUARIO ************************************************************************************* -->
					<p:panel id="pnlVistaDerivacionUsuario" style="border:none;margin-top:-25px;" >
                		<!-- ************** RESPUETA A PROYECCION ************************************************************************************* -->
	                	<p:panel id="pnlVistaRespuestaProyeccion" style="border:none;margin-left:-15pt;margin-right:-15pt;"
							rendered="#{bandejaResponsableUOMB.habilitaRespuestaProyeccion}" >
	                		<div class="row box-mb"> 
	                            <div class="col-sm-12">
	                                <label class="control-label"><b>Detalle Derivación Usuario: </b></label>
	                            </div>                       
	                        </div>
							<p:fieldset>
								<div class="row box-mb">
									<div class="col-sm-12">
										<h:outputLabel for="txtMotivoDerivacion" value="Motivo :"
												styleClass="control-label" />
										<span class="style_requerido">* </span>
										<p:inputTextarea id="txtMotivoDerivacion"
												rows="4" cols="33" styleClass="form-control"
												autoResize="false"
												counter="displayMotivo"
												value="#{bandejaResponsableUOMB.solicitudMoviUsuario.detalleRespuesta}"
												maxlength="200" counterTemplate="{0} caracteres restantes."
												queryDelay="#{solicitudExternoMB.solicitud.observacion}" />
										<h:outputText id="displayMotivo" />
									</div>
								</div>
								<h:panelGroup rendered="#{bandejaResponsableUOMB.vistaLstDetalleMovimiento}">	
									<div class="row box-mb">
										<div class="col-sm-12 box-table-class">
										
	                             			 <div class="form-group">
	                             			 	<h:outputLabel for="tblDocumentos" value="Documentos Adjuntos : " styleClass=" control-label"/>
				                                <!-- <span class="style_requerido">*</span> -->
												<p:dataTable  id="tblDocumentos" 
	                                                var="registro"
	                                                value="#{bandejaResponsableUOMB.lstDetalleMovimiento}" 
	                                                rowKey="#{registro.id}" 
	                                                paginator="#{bandejaResponsableUOMB.lstDetalleMovimiento.size() > 5}"
	                                                rowIndexVar="item"
	                                                paginatorPosition="top"
	                                                rows="5"
	                                                style="text-align:center;"
	                                                emptyMessage="No se han adjuntado documentos de respuesta para esta solicitud.">
	                                                
													<p:column headerText="N&#186;" style="width:20px;text-aling:center;">
	                                                	<h:outputText value="#{item+1}" />
	                                                </p:column>
	
	                                                <p:column headerText="Nombre Documento" style="width:170px;text-align:center;">
	                                                    <h:outputText value="#{registro.nombreDocumento}" />
	                                                </p:column>
	                                                <!-- 
	                                                <p:column headerText="Descargas" style="width:40px;text-align:center;">
	                                                    <p:commandLink  actionListener="#{bandejaResponsableUOMB.descargarFile(registro.uuidDocumento)}" 
																	    title="Descargar" 
																		ajax="false"
																		style="color: #4781af;">
																		<p:fileDownload value="#{bandejaResponsableUOMB.streamedContent}" />
																		Descargar
														</p:commandLink>
	                                                </p:column>
													 -->
	                                                <p:column headerText="Acción" style="width:30px;text-align:center;">
	                                                	<p:commandButton 
																actionListener="#{bandejaResponsableUOMB.descargarFile(registro.uuidDocumento)}"
																title="Descargar"
																ajax="false" icon="ui-icon ui-icon-arrowthickstop-1-s"
																styleClass="colorSuccess">
																<p:fileDownload value="#{bandejaResponsableUOMB.streamedContent}" />
														</p:commandButton>
	                                                	<p:commandButton icon="ui-icon ui-icon-trash" title="Eliminar"
															actionListener="#{bandejaResponsableUOMB.setRptDocumento(registro)}"
															ajax="true" oncomplete="PF('idGrpEliminarConfirmacion').show()"
															update=":frmBandejaSolicitud" >
														</p:commandButton>
	                                                </p:column>
	
	                                    		</p:dataTable>
	                                    	</div>
	                                    </div>
									</div>
								</h:panelGroup>
								<div class="row box-mb">
									<div id="box-subir-doc" class="col-sm-12" >
										<div class="form-group ">
											<h:outputLabel id="lblAdj" for="fileUplAdj" 
												value="Adjunto(s): [ #{bandejaResponsableUOMB.nombreAdjunto01} ]"
												styleClass="control-label" />
											<!-- 
											<p:fileUpload id="fileUplAdj"
												fileUploadListener="#{bandejaResponsableUOMB.handleFileUpload}"
												allowTypes="/(\.|\/)(doc|docx|xls|xlsx|pdf)$/"
												sizeLimit="350000000" multiple="true" fileLimit="5"
												dragDropSupport="true" mode="advanced" cancelLabel="Cancelar"
												uploadLabel="Subir"
												invalidSizeMessage="El archivo que intenta subir supera el tamaño máximo permitido."
												invalidFileMessage="Tipo de archivo Inválido. Solo se permite adjuntar archivos Word, Excel y PDF."
												fileLimitMessage="Excedió el número de archivos permitidos."
												update="lblAdj" auto="true" label="Seleccionar Documento" />
											 -->
											<p:fileUpload id="fileUplAdj"
												disabled="#{bandejaResponsableUOMB.habilitaBtnAdjDoc}"
												fileUploadListener="#{bandejaResponsableUOMB.handleFileUpload}" 
												mode="advanced" dragDropSupport="false" auto="true"
												label="Seleccionar" uploadLabel="Subir" cancelLabel="Cancelar"
                  								multiple="true" update="lblAdj" sizeLimit="350000000" fileLimit="#{bandejaResponsableUOMB.maxDocsAdjs}" 
                  								allowTypes="/(\.|\/)(doc|docx|xls|xlsx|pdf)$/"
                  								invalidSizeMessage="El archivo que intenta subir supera el tamaño máximo permitido."
												invalidFileMessage="Tipo de archivo Inválido. Solo se permite adjuntar archivos Word, Excel y PDF."
												fileLimitMessage="Excedió el número de archivos permitidos." />
										</div>
									</div>
								</div>
								<div class="row box-mb">
									<div class="col-sm-9 text-left box-main-btn">
										<div class="form-group">
											<h:outputLabel
												value="Files válidos: word, excel, pdf. Máximo: #{bandejaResponsableUOMB.maxDocsAdjs} files. Tamaño máximo por file: 350MB"
												style="font-weight: 300; font-size: 11px; color: #f52c27;" />
										</div>
									</div>
									<div class="col-sm-3 text-right box-main-btn">
										<p:commandButton id="idLimpiarAdjunto"
											disabled="#{bandejaResponsableUOMB.habilitaBtnAdjDoc}"
											styleClass="btn btn-default btn-sensitive btn-buscar"
											title="Borrar Files Adjuntos que han sido subidos y seleccionados."
											value="Borrar Adjuntos"
											actionListener="#{bandejaResponsableUOMB.borrarAdjuntos}"
											ajax="true" 
											icon="icon-limpiar" update=":frmBandejaSolicitud" />
									</div>
								</div>
							</p:fieldset>
							<div class="col-sm-12 text-right box-main-btn" style="margin-top:25px;">
								<p:commandButton
													id="btnDevolver"
													value="Devolver SECRETARIA UO"
													title="Devolver Solicitud a Asistente UO"
													icon="fa fa-undo ocultarImgIcon"
													styleClass="btn btn-primary btn-sensitive"
													actionListener="#{bandejaResponsableUOMB.validarDevolucionPreUser}"
													ajax="true" update=":frmBandejaSolicitud" />
						
								<p:commandButton 
													id="btnLimpiarEnvRpta"
													styleClass="btn btn-default btn-sensitive btn-buscar"
													value="#{bandejaResponsableUOMB.btnLimpiarA}" 
													icon="icon-limpiar" 
													ajax="true" update=":frmBandejaSolicitud"
													action="#{bandejaResponsableUOMB.limpiarDerivacionUser}"/>
								
								<p:commandButton
													id="btnResponder"
													title="Enviar la respuesta de solicitud a Asistente UO"
													value="Enviar SECRETARIA UO"
													icon="fa fa-user ocultarImgIcon"
													styleClass="btn btn-primary btn-sensitive"
													actionListener="#{bandejaResponsableUOMB.validarDerivPreUser}"
													ajax="true" update=":frmBandejaSolicitud" />
								
							</div>
						</p:panel>
					</p:panel>
					</p:fieldset>
                </div>
<!-- ******************************************************************************************************************** -->
				<!-- Confirmar 1 -->
				<p:confirmDialog message="Confirmación"
					id="idGrpConfirmar1" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmar1" width="25%">
					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;">
						<div class="row box-mb">
							<div class="col-sm-12">
								<div class="form-group">
									<h:outputLabel value="¿Confirma el envío de la solicitud?"
										styleClass="control-label" />
								</div>
							</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Si" value="Si"
										action="#{bandejaResponsableUOMB.grabar1}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('idGrpConfirmar1').hide(), PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										ajax="true"
										update=":frmBandejaSolicitud" />
									<p:commandButton title="No"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="No" oncomplete="PF('idGrpConfirmar1').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>
				<!-- Confirmar 2: Devolución solicitud -->
				<p:confirmDialog message="Confirmación de Devolución"
					id="idGrpConfirmar2" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmar2" width="60%">
					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;margin-right: 15px;">
						<div class="row box-mb">
									<div class="col-sm-12">
										<h:outputLabel for="txtDetalleAsignacion" value="Motivo :"
												styleClass="control-label" />
										<span class="style_requerido">* </span>
										<p:inputTextarea id="txtDetalleAsignacion"
												rows="2" cols="33" styleClass="form-control"
												autoResize="false"
												counter="displayDetaAsig"
												value="#{bandejaResponsableUOMB.solicitudMoviUsuario.detalleAsignacion}"
												maxlength="200" counterTemplate="{0} caracteres restantes."/>
										<h:outputText id="displayDetaAsig" />
									</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Si" value="Si"
										action="#{bandejaResponsableUOMB.grabar2}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('idGrpConfirmar2').hide(), PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										ajax="true"
										update=":frmBandejaSolicitud" />
									<p:commandButton title="No"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="No" oncomplete="PF('idGrpConfirmar2').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>

				<p:confirmDialog message="Aviso de eliminación"
					id="idGrpEliminarConfirmacion" showEffect="fade"
					hideEffect="explode" modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpEliminarConfirmacion" width="40%">


					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;">
						<h:outputText
							value="¿Confirma la eliminación del documento seleccionado?" />
						<br />
					</div>

					<div class="row text-right box-dig-btn">
						<p:commandButton title="Si" value="Si"
							action="#{bandejaResponsableUOMB.eliminar()}"
							styleClass="btn btn-primary btn-sensitive"
							oncomplete="PF('idGrpEliminarConfirmacion').hide()"
							update=":frmBandejaSolicitud" />
						<p:commandButton title="No"
							styleClass="btn btn-default btn-sensitive btn-buscar" value="No"
							oncomplete="PF('idGrpEliminarConfirmacion').hide()" />
					</div>
				</p:confirmDialog>
				
				<p:confirmDialog message="Detalle Derivación Múltiple"
					id="idGrpConfirmDeriv" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmDeriv" width="40%">
					<div class="row box-mb" style="margin-left: 3px; margin-right: 3px; margin-bottom: 10px;">
						<div class="col-sm-12 box-table-class">
                             <div class="form-group">
								<p:dataTable  id="tblDetalleDerivacion" 
											  value="#{bandejaResponsableUOMB.lstDetalleDerivado}"
                                              var="registro"
                                              rowKey="#{registro.id}" 
                                              paginator="true"
                                              rowIndexVar="item"
                                              paginatorPosition="top"
                                              rows="10"
                                              style="text-align:center;"
                                              emptyMessage="No se han encontrado registros.">
                                                
                                              <p:column headerText="N&#186;" style="width:15px;text-aling:center;">
                                                  	<h:outputText value="#{item+1}" />
                                              </p:column>
                                              <!-- 
											  <p:column headerText="N&#186; Solicitud" style="width:15px;text-aling:center;">
													<h:outputText value="#{registro.nroSolicitudId}" />
                                              </p:column>
											   -->
                                              <p:column headerText="Área Derivada" style="width:30px;">
                                                	<h:outputText value="#{registro.areaDerivada}" />
                                              </p:column>
                                                
                                              <p:column headerText="Estado Derivación" style="width:60px;">
                                                	<h:outputText value="#{registro.estadoDerivacion}" />
                                              </p:column>
                                	</p:dataTable>
                            	</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Confirmar"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="Confirmar" oncomplete="PF('idGrpConfirmDeriv').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>
				
				<p:dialog id="dlgverDetAsigMovimiento" header="Detalle de Asignación del Movimiento Solicitud"
					widgetVar="dlgverDetAsigMovimiento" modal="true" width="75%"
					styleClass="box-modal-show" resizable="false">
					<div id="mainBuscarRespuestas">
						<h:form id="frmBuscarRespuestas">
							<div id="box-seg-main" class="row box-mb">
								<div class="col-sm-12">
									<fieldset>
										<div class="table-responsive">
											<div class="box-border-RegDoc" style="width: 80%px; height: 300px; overflow: scroll;">
												<h:panelGroup id="pnlMovimientos"
													styleClass="tablaLstRgtDoc box-lst-tablas">
													<p:outputLabel id="lblMovimientos" rendered="#{bandejaResponsableUOMB.lstSoliMoviXLineaTP.size()==0}"
														value="Actualmente no hay Respuestas registradas." />
													<ui:repeat value="#{bandejaResponsableUOMB.lstSoliMoviXLineaTP}" var="segMovimientoItemB" varStatus="item">
														<legend style="margin-bottom:0px;">
															<small style="color: #616979; font-size: 14px" >
																[ORIGEN]: #{segMovimientoItemB.t01UndOrgEmiDeta} >> #{segMovimientoItemB.perfilDetaEmisor}
																	<i class="fa fa-long-arrow-right" aria-hidden="true" /> 
																[DESTINO]: #{segMovimientoItemB.t01UndOrgRecDeta} >> #{segMovimientoItemB.perfilDetaReceptor}
															</small>
														</legend>
														<table class="tg table table-expand"
															style="margin-bottom: 10px; border-color: white; border-collapse: collapse; margin: 0 0 1em 0; caption-side: top;">
															<tbody  style="border-bottom: 0px; font-size: 12px; border-top: 0px solid #000; border-bottom: 0px solid #000;">
																<tr>
																	<th class="tg-0ord" width="150px;">Detalle Asignación</th>
																	<td colspan="3" class="txt-data">: <h:outputText
																		value="#{segMovimientoItemB.detalleAsignacion}"
																		escape="false" /></td>
																</tr>																
															</tbody>
														</table>
													</ui:repeat>
													
												</h:panelGroup>
											</div>
										</div>
									</fieldset>
								</div>
							</div>
						</h:form>
						
					</div>
				</p:dialog>
                  			              
            </h:form>  
             
            <p:dialog widgetVar="statusDialog" modal="true" draggable="false" 
				      closable="false" resizable="false" showHeader="false">
		    		<p:graphicImage value="../resources/img/loadingbar.gif" />
			</p:dialog> 
	    </div>
    
    </ui:define>
    
</ui:composition>